<template>
	<view class="page" :style="{'min-height':(h)+'px','padding-top':mt+'px'}">
	<c-nav-bar title="核销"></c-nav-bar>
		<image @click="hexiao" src="https://i.ringzle.com/file/20240317/d5f047e986a04bff9cfbfef2c5dab095.png"></image>
		
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				boatNo:'',
				price:''
				//merchantType:uni.getStorageSync('merchantType');
			}
		},
		onLoad(opt) {
			
		},
		methods: {
			hexiao() {
				  console.log('21321321',)
				uni.scanCode({
					onlyFromCamera: true,
					success: (res) => {
						//
						if(JSON.parse(res.result).merchantId!=uni.getStorageSync('merchantId')){
							uni.showToast({
							title:'您的核销码不是该商家的核销码',
							icon:'none',
							duration:1500
							})
						}else{
							uni.navigateTo({
								url: "/pagesHouse/Verification/detailsewm?list=" + res.result
							})
						}
											
					},
					error: (res) => {
						console.log('扫描二维码出现错误')
					}
				})
				
			}
		}
	}
</script>

<style scoped lang="less">
	.page{
		text-align: center;
		box-sizing: border-box;
	}
	image{
		width: 345rpx;
		height: 345rpx;
		margin: 80rpx 0 24rpx;
	}
	.tip{
		font-size: 32rpx;
		color: #111;
		text{
			margin-right:12rpx;
		}
		
	}
	.price{
		margin: 28rpx 0 110rpx;
		text{
			&:first-child{
				font-size: 36rpx;
			}
			&:last-child{
				font-size: 48rpx;
				font-weight: bold;
			}
		}
	}
	.btn{
		width: 610rpx;
		height: 88rpx;
		line-height: 88rpx;
		background-color: #007A69;
		color: #fff;
		font-size: 32rpx;
		border-radius: 46rpx;
		margin: 0 auto;
	}
</style>